
class DataLookNize{

  PFont clean;
  int totalSecondsinTrip;
  float tick;
  
  DataLookNize(){
    println("new DataLookNize");
    //clean = loadFont("sansserif-10.vlw");
    clean = loadFont("dialoginput-9.vlw");
    //clean = createFont("pixelsix00",7,false);
    textFont(clean, 9);
    tick = 0.0f;
  }

  public void readData(String fileToLoad){
    String[] dataLoaded = loadStrings("/records/"+fileToLoad+".txt");    
    looknize(dataLoaded);
     	
    save("looknize.png");
  }


  private void looknize(String[] inData){
    
    float prevX = 0.0f;
    float prevY = 0.0f;
    float barHeight = 0.0f;
    int incrbar = 10;
    
    background(0);
    fill(255);
            
    String startTime = trim(split(split(inData[0], "  ")[6],")	"))[0];
    String endTime = trim(split(split(inData[inData.length-1], "  ")[6],")	"))[0];
    
    totalSecondsinTrip = getSeconds(endTime)-getSeconds(startTime);
    
    for(int i = 0 ; i < inData.length; i++){
      tick += 0.1;
      String tempData[] = split(inData[i], "  ");
      trim(tempData);
      String essid = tempData[3];
      String mac = tempData[5];
      
      String time = trim(split(tempData[6],")	"))[0];
      
      int secondsStamp = getSeconds(time)-getSeconds(startTime);
      
      //float posY = sin(tick)*((height-200)/2)+(height)/2;
      float posY = (height)/2;
      float posX = (secondsStamp*(width-200))/totalSecondsinTrip+50;
      
      stroke(255,0,0);
      
      if(i>0)line(prevX+3, prevY+3, posX+3, posY+3);
      
      barHeight -= incrbar;
      if(abs(barHeight) > height/2-100) incrbar = incrbar*-1;
      stroke(255,100);
      line(posX,posY,posX,posY+barHeight);
      noFill();
      ellipse(posX,posY+barHeight, 2, 2);
      fill(255);
      pushMatrix();
      translate(posX, posY);
      
      noStroke();
      text(essid, 7,barHeight);
      ellipse(0,3, 5, 5);
      //rect(3,0, 1, 6);
      //rect(0,2, 6, 1);
      
      popMatrix();
      
      prevX = posX;
      prevY = posY;
      //println(time);
    }
  }


  // get time as hh:mm:ss return int of total seconds
  private int getSeconds(String inTimeStamp){
    int h =  int(split(inTimeStamp,":")[0])*3600;
    int m =  int(split(inTimeStamp,":")[1])*60;
    int s =  int(split(inTimeStamp,":")[2]);
    
    int totalSec = h+m+s;
    return totalSec;
  }

}
